KDockWidgetHeaderDrag class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDockWidgetHeaderDrag Class Reference

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetHeaderDrag:

[legend]
Collaboration diagram for KDockWidgetHeaderDrag:

[legend]
List of all members.

## Public Member Functions
| KDockWidgetHeaderDrag (KDockWidgetAbstractHeader *parent, KDockWidget *dock, const char *name=0L)
| Constructs this.
virtual | ~KDockWidgetHeaderDrag ()
| Destructs this.
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *)
| Draws the drag panel (a double line).
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set).

The widget for dragging, so to speak. Usually it is located in the KDockWidgetHeader. More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 192 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetHeaderDrag::KDockWidgetHeaderDrag | ( | KDockWidgetAbstractHeader * | parent,
|  | KDockWidget * | dock,
|  | const char * | name = 0L
| ) |

  | Constructs this. Parameters:
  parent | the parent widget (usually a dockwidget header)
  dock | the dockwidget where it belongs to
  name | the object instance name
Definition at line 189 of file kdockwidget.cpp. References KStdAccel::name().

virtual KDockWidgetHeaderDrag::~KDockWidgetHeaderDrag | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 210 of file kdockwidget.h.

## Member Function Documentation

void KDockWidgetHeaderDrag::paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

| Draws the drag panel (a double line). Reimplemented from QFrame. Definition at line 194 of file kdockwidget.cpp. References QPainter::begin(), and QPainter::end().

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001